## lxqt-session 0.14.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(lxqt-session)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(GNUInstallDirs)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
option(WITH_LIBUDEV "Build with libudev support" ON)

# Minimum Versions
set(KF5_MINIMUM_VERSION "5.36.0")
set(LXQT_MINIMUM_VERSION "0.14.1")
set(QT_MINIMUM_VERSION "5.7.1")

find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF5_MINIMUM_VERSION} REQUIRED)
find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
find_package(X11 REQUIRED)
message(STATUS "Building with Qt${Qt5Core_VERSION}")

# Please don't move, must be after lxqt
find_package(XdgUserDirs REQUIRED)

# Patch Version
set(LXQT_SESSION_PATCH_VERSION 1)

set(LXQT_SESSION_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_SESSION_PATCH_VERSION})
add_definitions(
    "-DLXQT_SESSION_VERSION=\"${LXQT_SESSION_VERSION}\""
    "-DQT_NO_CAST_FROM_ASCII"
    "-DQT_NO_CAST_TO_ASCII"
    "-DQT_NO_URL_CAST_FROM_STRING"
    "-DQT_NO_CAST_FROM_BYTEARRAY"
)

include(LXQtPreventInSourceBuilds)
include(LXQtCompilerSettings NO_POLICY_SCOPE)

# Translations **********************************
include(LXQtTranslate)

add_subdirectory(lxqt-session)
add_subdirectory(lxqt-config-session)
add_subdirectory(lxqt-leave)

# merged from lxqt-common
include(LXQtConfigVars)

# startlxqt script
set(PREDEF_XDG_DATA_DIRS "$XDG_DATA_HOME")
if(NOT("${LXQT_DATA_DIR}" MATCHES "^/usr(/local)?/share$"))
    set(PREDEF_XDG_DATA_DIRS "${PREDEF_XDG_DATA_DIRS}:${LXQT_DATA_DIR}")
endif()
set(PREDEF_XDG_DATA_DIRS "${PREDEF_XDG_DATA_DIRS}:/usr/local/share:/usr/share")
set(PREDEF_XDG_CONFIG_DIRS "/etc:${LXQT_ETC_XDG_DIR}:/usr/share")
configure_file(startlxqt.in startlxqt @ONLY)
install(PROGRAMS
    "${CMAKE_CURRENT_BINARY_DIR}/startlxqt"
    DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    startlxqt.1
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
    COMPONENT Runtime
)

# default config files
add_subdirectory(config)
add_subdirectory(autostart)

# xsession *.desktop file for display managers
add_subdirectory(xsession)

=== autostart/CMakeLists.txt ===
file(GLOB DESKTOP_FILES_IN *.desktop.in)

# Translations **********************************
lxqt_translate_desktop(DESKTOP_FILES
    SOURCES
        ${DESKTOP_FILES_IN}
)
add_custom_target(lxqt_sesstion_autostart_desktop_files ALL DEPENDS ${DESKTOP_FILES})
#************************************************

install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${LXQT_ETC_XDG_DIR}/autostart"
    COMPONENT Runtime
)

=== lxqt-config-session/CMakeLists.txt ===
project("lxqt-config-session")


set(lxqt-sessioncfg_HDRS
    sessionconfigwindow.h
    basicsettings.h
    modulemodel.h
    autostartpage.h
    autostartmodel.h
    autostartitem.h
    autostartedit.h
    autostartutils.h
    defaultappspage.h
    environmentpage.h
    userlocationspage.h
)

set(lxqt-sessioncfg_SRCS
    main.cpp
    sessionconfigwindow.cpp
    basicsettings.cpp
    modulemodel.cpp
    autostartpage.cpp
    autostartmodel.cpp
    autostartitem.cpp
    autostartedit.cpp
    autostartutils.cpp
    defaultappspage.cpp
    environmentpage.cpp
    userlocationspage.cpp
    ../lxqt-session/src/windowmanager.cpp
)

set(lxqt-sessioncfg_UI_FILES
    basicsettings.ui
    autostartpage.ui
    autostartedit.ui
    defaultappspage.ui
    environmentpage.ui
)

# Translations
lxqt_translate_ts(lxqt-sessioncfg_QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${lxqt-sessioncfg_HDRS}
        ${lxqt-sessioncfg_SRCS}
        ${lxqt-sessioncfg_UI_FILES}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(lxqt-sessioncfg_QM_LOADER ${PROJECT_NAME})
lxqt_translate_desktop(lxqt-sessioncfg_DESKTOP_FILES SOURCES lxqt-config-session.desktop.in)

add_executable(lxqt-config-session
    ${lxqt-sessioncfg_SRCS}
    ${lxqt-sessioncfg_DESKTOP_FILES}
    ${lxqt-sessioncfg_QM_FILES}
    ${lxqt-sessioncfg_QM_LOADER})

target_link_libraries(lxqt-config-session
    KF5::WindowSystem
    Qt5::Widgets
    Qt5::DBus
    Qt5::X11Extras
    lxqt
)

INSTALL(TARGETS
    lxqt-config-session
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)

install(FILES
        ${lxqt-sessioncfg_DESKTOP_FILES}
    DESTINATION
         "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    COMPONENT Runtime
)
install(FILES
    man/lxqt-config-session.1
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
    COMPONENT Runtime
)

=== lxqt-leave/CMakeLists.txt ===
project("lxqt-leave")

set(CPP_FILES
    main.cpp
    leavedialog.cpp
    listwidget.cpp
)

set(H_FILES
    leavedialog.h
    listwidget.h
)

set(UI_FILES
    leavedialog.ui
)


# Translations **********************************
lxqt_translate_desktop(DESKTOP_FILES
    SOURCES
    resources/lxqt-leave.desktop.in
    resources/lxqt-hibernate.desktop.in
    resources/lxqt-lockscreen.desktop.in
    resources/lxqt-logout.desktop.in
    resources/lxqt-reboot.desktop.in
    resources/lxqt-shutdown.desktop.in
    resources/lxqt-suspend.desktop.in
)

lxqt_translate_ts(lxqt-leave_QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${CPP_FILES}
        ${UI_FILES}
        ${H_FILES}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(lxqt-leave_QM_LOADER ${PROJECT_NAME})
#************************************************


add_executable(lxqt-leave
    ${CPP_FILES}
    ${DESKTOP_FILES}
    ${lxqt-leave_QM_LOADER}
    ${lxqt-leave_QM_FILES}
)

target_link_libraries(lxqt-leave
    lxqt
)

install(TARGETS
    lxqt-leave
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    ${DESKTOP_FILES} DESTINATION
    "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    COMPONENT Runtime
)
install(FILES
    resources/lxqt-leave.1
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
    COMPONENT Runtime
)

=== lxqt-session/CMakeLists.txt ===
project("lxqt-session")

if (WITH_LIBUDEV)
    find_package(UDev REQUIRED)
    include_directories(${LIBUDEV_INCLUDE_DIR})
    add_definitions(-DWITH_LIBUDEV_MONITOR)
endif()

include_directories(
    ${X11_INCLUDE_DIR}
)

set(lxqt-session_HDRS "")

set(lxqt-session_SRCS
    src/main.cpp
    src/lxqtmodman.cpp
    src/wmselectdialog.cpp
    src/windowmanager.cpp
    src/sessionapplication.cpp
    src/sessiondbusadaptor.h
    src/lockscreenmanager.cpp
    src/lockscreenmanager.h
    src/numlock.cpp
    src/numlock.h
    src/log.cpp
)
if (WITH_LIBUDEV)
    list(APPEND lxqt-session_SRCS src/UdevNotifier.cpp)
endif()

set(lxqt-session_UI
    src/wmselectdialog.ui
)

# Translations
lxqt_translate_ts(lxqt-session_QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${lxqt-session_HDRS}
        ${lxqt-session_SRCS}
        ${lxqt-session_UI}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)
lxqt_app_translation_loader(lxqt-session_QM_LOADER ${PROJECT_NAME})

add_executable(lxqt-session
    ${lxqt-session_SRCS}
    ${RSCS}
    ${lxqt-session_QM_FILES}
    ${lxqt-session_QM_LOADER}
)

target_link_libraries(lxqt-session
    Qt5::Widgets
    Qt5::DBus
    Qt5::X11Extras
    lxqt
    ${X11_LIBRARIES}
    KF5::WindowSystem
)

if (WITH_LIBUDEV)
    target_link_libraries(lxqt-session ${UDEV_LIBS})
endif()

INSTALL(TARGETS
    lxqt-session
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    man/lxqt-session.1
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
    COMPONENT Runtime
)

=== xsession/CMakeLists.txt ===
file(GLOB SESSION_FILES_IN *.desktop.in)

# Translations **********************************
lxqt_translate_desktop(SESSION_FILES
    SOURCES
        ${SESSION_FILES_IN}
)
add_custom_target(xsession_desktop_files ALL DEPENDS ${SESSION_FILES})
#************************************************

MACRO(INSTALL_SESSION_FILES directory)
    install(FILES
            ${SESSION_FILES}
            DESTINATION "${directory}"
            COMPONENT Runtime
    )
ENDMACRO(INSTALL_SESSION_FILES)

INSTALL_SESSION_FILES("${CMAKE_INSTALL_DATAROOTDIR}/xsessions")
INSTALL_SESSION_FILES("${CMAKE_INSTALL_DATAROOTDIR}/kdm/sessions")

=== debian/changelog ===
lxqt-session (0.14.1-2ubuntu2) focal; urgency=medium

  * Updated rules to match debian unstable.

 -- Raman Sarda <theloudspeaker@lubuntu.me>  Sun, 16 Feb 2020 00:21:11 +0530

lxqt-session (0.14.1-2ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Using debhelper-compat.
    - Keeping ubuntu-side tweaks to build deps.
    - Added an upstream patch.
    - Added upstream metadata.

 -- Raman Sarda <theloudspeaker@lubuntu.me>  Wed, 12 Feb 2020 16:51:54 +0530

lxqt-session (0.14.1-2) unstable; urgency=medium

  * Fixes memory leak in lxqt-session, lxqt-session allocates memory for process
    output never read (Closes: #928804)

 -- Alf Gaida <agaida@siduction.org>  Sat, 11 May 2019 15:30:08 +0200

lxqt-session (0.14.1-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.14.1.
  * Bumped minimum version liblxqt0-dev (>= 0.14.1~)

 -- Alf Gaida <agaida@siduction.org>  Tue, 26 Feb 2019 02:58:20 +0100

lxqt-session (0.14.1-0ubuntu1) disco; urgency=medium

  * New upstream release.
  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 09 Mar 2019 13:17:55 -0600

lxqt-session (0.14.0-0ubuntu1) disco; urgency=medium

  * New upstream release.
    - Bump build dependencies.
  * Bump Standards-version to 4.3.0, no changes needed.
  * Bump debhelper compat to 12, no changes needed.
  * Add new lxqt-session-l10n package.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 26 Jan 2019 00:49:14 -0600

lxqt-session (0.13.0-0ubuntu2) cosmic; urgency=medium

  * Ensure all proper paths are added to $XDG_CONFIG_DIRS.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 30 May 2018 17:35:31 -0500

lxqt-session (0.13.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * Update Vcs-* and Maintainer to Lubuntu values.
  * Update build dependencies.
  * Remove patches applied upstream.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 22 May 2018 23:51:03 -0500

=== debian/control ===
Source: lxqt-session
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.14.1~),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libudev-dev [linux-any],
               libx11-dev,
               xdg-user-dirs
Standards-Version: 4.3.0
Vcs-Browser: https://phab.lubuntu.me/source/lxqt-session/
Vcs-Git: https://phab.lubuntu.me/source/lxqt-session.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-session
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-session.git
Homepage: https://github.com/lxqt/lxqt-session

Package: lxqt-session
Architecture: any
Depends: lxqt-qtplugin,
         lxqt-themes | lxqt-theme,
         x11-xkb-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-config,
            lxqt-notificationd,
            lxqt-policykit,
            lxqt-powermanagement,
            lxqt-session-l10n,
            lxqt-sudo,
            pcmanfm-qt,
            qlipper,
            qps [linux-any],
            xscreensaver | gnome-screensaver | light-locker | i3lock | suckless-tools
Provides: x-session-manager
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: session manager component for LXQt
 LXQt is an advanced, easy-to-use, and fast desktop environment based on
 Qt technologies.  It has been tailored for users who value simplicity,
 speed, and an intuitive interface.  Unlike most desktop environments,
 LXQt also works fine with less powerful machines.
 .
 This package contain the session manager component.

Package: lxqt-session-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Breaks: lxqt-session (<< 0.11.0)
Replaces: lxqt-session (<< 0.11.0)
Description: Language package for lxqt-session
 This package contains the l10n files needed by lxqt-session.

## lxqt-session 0.15.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,8 +20,8 @@
 
 # Minimum Versions
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_MINIMUM_VERSION "0.14.1")
-set(QT_MINIMUM_VERSION "5.7.1")
+set(LXQT_MINIMUM_VERSION "0.15.0")
+set(QT_MINIMUM_VERSION "5.10")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
@@ -36,15 +36,11 @@
 find_package(XdgUserDirs REQUIRED)
 
 # Patch Version
-set(LXQT_SESSION_PATCH_VERSION 1)
+set(LXQT_SESSION_PATCH_VERSION 0)
 
 set(LXQT_SESSION_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_SESSION_PATCH_VERSION})
 add_definitions(
     "-DLXQT_SESSION_VERSION=\"${LXQT_SESSION_VERSION}\""
-    "-DQT_NO_CAST_FROM_ASCII"
-    "-DQT_NO_CAST_TO_ASCII"
-    "-DQT_NO_URL_CAST_FROM_STRING"
-    "-DQT_NO_CAST_FROM_BYTEARRAY"
 )
 
 include(LXQtPreventInSourceBuilds)

=== debian/changelog ===
lxqt-session (0.15.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Remove reverse-applicable forward-process-output.patch.
    - Update upstream signing key.
    - Update LXQt build dependencies.
  * Update Standards-version to 4.5.0, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 04 Jun 2020 14:14:17 -0500

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.14.1~),
+               liblxqt0-dev (>= 0.15.0),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libudev-dev [linux-any],
                libx11-dev,
                xdg-user-dirs
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://phab.lubuntu.me/source/lxqt-session/
 Vcs-Git: https://phab.lubuntu.me/source/lxqt-session.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-session

## lxqt-session 0.16.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,8 +20,8 @@
 
 # Minimum Versions
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_MINIMUM_VERSION "0.15.0")
-set(QT_MINIMUM_VERSION "5.10")
+set(LXQT_MINIMUM_VERSION "0.16.0")
+set(QT_MINIMUM_VERSION "5.12")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)

=== config/CMakeLists.txt ===
# install default config files to /etc/xdg
install(FILES
    lxqt.conf
    session.conf
    windowmanagers.conf
    DESTINATION "${CMAKE_INSTALL_DATADIR}/lxqt"
    COMPONENT Runtime
)
install(DIRECTORY openbox
    DESTINATION "${LXQT_ETC_XDG_DIR}"
    COMPONENT Runtime
)

=== lxqt-config-session/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,6 @@
     autostartitem.h
     autostartedit.h
     autostartutils.h
-    defaultappspage.h
     environmentpage.h
     userlocationspage.h
 )
@@ -25,7 +24,6 @@
     autostartitem.cpp
     autostartedit.cpp
     autostartutils.cpp
-    defaultappspage.cpp
     environmentpage.cpp
     userlocationspage.cpp
     ../lxqt-session/src/windowmanager.cpp
@@ -35,7 +33,6 @@
     basicsettings.ui
     autostartpage.ui
     autostartedit.ui
-    defaultappspage.ui
     environmentpage.ui
 )

=== debian/changelog ===
lxqt-session (0.16.0-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Switched to gbp
  * Bumped Standards-Version to 4.4.0, no changes needed

  [ Andrew Lee (李健秋) ]
  * New upstream release.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 06 Jan 2021 18:11:54 +0800

=== debian/control ===
Source: lxqt-session
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.16.0~),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libudev-dev [linux-any],
               libx11-dev,
               xdg-user-dirs
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-session
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-session.git
Homepage: https://github.com/lxqt/lxqt-session

Package: lxqt-session
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lxqt-themes | lxqt-theme,
         lxqt-qtplugin,
         x11-xkb-utils
Recommends: lxqt-session-l10n,
            lxqt-config,
            lxqt-notificationd,
            lxqt-policykit,
            lxqt-powermanagement,
            lxqt-sudo,
            pcmanfm-qt,
            qlipper,
            qps [linux-any],
            xscreensaver | gnome-screensaver | light-locker | i3lock | suckless-tools
Provides: x-session-manager
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: session manager component for LXQt
 LXQt is an advanced, easy-to-use, and fast desktop environment based on
 Qt technologies.  It has been tailored for users who value simplicity,
 speed, and an intuitive interface.  Unlike most desktop environments,
 LXQt also works fine with less powerful machines.
 .
 This package contain the session manager component.

Package: lxqt-session-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: lxqt-session (<< 0.11.0)
Replaces: lxqt-session (<< 0.11.0)
Description: Language package for lxqt-session
 This package contains the l10n files needed by the lxqt-session.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

ifeq ($(DEB_HOST_ARCH_OS),linux)
    CMAKE_ARGS += -DWITH_LIBUDEV=ON
else
    CMAKE_ARGS += -DWITH_LIBUDEV=OFF
endif

%:
	dh ${@} --buildsystem cmake

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		$(CMAKE_ARGS)

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/lxqt-session/releases .*/lxqt-session-([\d\.]+).tar.xz

## lxqt-session 0.17.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 # Minimum Versions
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_MINIMUM_VERSION "0.16.0")
+set(LXQT_MINIMUM_VERSION "0.17.0")
 set(QT_MINIMUM_VERSION "5.12")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
@@ -31,12 +31,16 @@
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
 find_package(X11 REQUIRED)
 message(STATUS "Building with Qt${Qt5Core_VERSION}")
+find_package(PkgConfig REQUIRED)
+if (CMAKE_SYSTEM_NAME STREQUAL "Linux")
+    pkg_search_module(PROCPS REQUIRED libprocps)
+endif()
 
 # Please don't move, must be after lxqt
 find_package(XdgUserDirs REQUIRED)
 
 # Patch Version
-set(LXQT_SESSION_PATCH_VERSION 0)
+set(LXQT_SESSION_PATCH_VERSION 1)
 
 set(LXQT_SESSION_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_SESSION_PATCH_VERSION})
 add_definitions(

=== lxqt-session/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,11 @@
 include_directories(
     ${X11_INCLUDE_DIR}
 )
+if (CMAKE_SYSTEM_NAME STREQUAL "Linux")
+    include_directories(
+        ${PROCPS_INCLUDE_DIRS}
+    )
+endif()
 
 set(lxqt-session_HDRS "")
 
@@ -24,6 +29,7 @@
     src/numlock.cpp
     src/numlock.h
     src/log.cpp
+    src/procreaper.cpp
 )
 if (WITH_LIBUDEV)
     list(APPEND lxqt-session_SRCS src/UdevNotifier.cpp)
@@ -61,6 +67,11 @@
     ${X11_LIBRARIES}
     KF5::WindowSystem
 )
+if (CMAKE_SYSTEM_NAME STREQUAL "Linux")
+    target_link_libraries(lxqt-session
+        ${PROCPS_LIBRARIES}
+    )
+endif()
 
 if (WITH_LIBUDEV)
     target_link_libraries(lxqt-session ${UDEV_LIBS})

=== xsession/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 lxqt_translate_desktop(SESSION_FILES
     SOURCES
         ${SESSION_FILES_IN}
+    USE_YAML
 )
 add_custom_target(xsession_desktop_files ALL DEPENDS ${SESSION_FILES})
 #************************************************

=== debian/changelog ===
lxqt-session (0.17.1-0ubuntu1) impish; urgency=medium

  * New upstream release 0.17.1
  * Update debian/control
    - Bump Standards-Version to 4.5.1
    - Use liblxqt0-dev 0.17.0
    - Extend lxqt-session-l10n package description
  * Remove etc/xdg/openbox/lxqt-rc.xml from lxqt-session.install
  * Update debian/copyright

 -- apt-ghetto <apt-ghetto@protonmail.com>  Sat, 14 Aug 2021 10:46:02 +0200

lxqt-session (0.16.0-1ubuntu1) hirsute; urgency=medium

  * New upstream version.
  * Bump debhelper-compat requirement to 12

 -- Raman Sarda <theloudspeaker@disroot.org>  Mon, 22 Feb 2021 01:23:18 +0530

=== debian/control ===
Source: lxqt-session
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.17.0),
               libprocps-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libudev-dev [linux-any],
               libx11-dev,
               xdg-user-dirs
Standards-Version: 4.5.1
Vcs-Browser: https://phab.lubuntu.me/source/lxqt-session/
Vcs-Git: https://phab.lubuntu.me/source/lxqt-session.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-session
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-session.git
Homepage: https://github.com/lxqt/lxqt-session

Package: lxqt-session
Architecture: any
Depends: lxqt-qtplugin,
         lxqt-themes | lxqt-theme,
         x11-xkb-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-config,
            lxqt-notificationd,
            lxqt-policykit,
            lxqt-powermanagement,
            lxqt-session-l10n,
            lxqt-sudo,
            pcmanfm-qt,
            qlipper,
            qps [linux-any],
            xscreensaver | gnome-screensaver | light-locker | i3lock | suckless-tools
Provides: x-session-manager
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: session manager component for LXQt
 LXQt is an advanced, easy-to-use, and fast desktop environment based on
 Qt technologies.  It has been tailored for users who value simplicity,
 speed, and an intuitive interface.  Unlike most desktop environments,
 LXQt also works fine with less powerful machines.
 .
 This package contain the session manager component.

Package: lxqt-session-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Breaks: lxqt-session (<< 0.11.0)
Replaces: lxqt-session (<< 0.11.0)
Description: Language package for lxqt-session
 The l10n files for lxqt-session.
 .
 This package contains the l10n files needed by lxqt-session.

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		-DPULL_TRANSLATIONS=OFF \
 		-DUPDATE_TRANSLATIONS=OFF \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 		$(CMAKE_ARGS)

## lxqt-session 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,8 +20,9 @@
 
 # Minimum Versions
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_MINIMUM_VERSION "0.17.0")
-set(QT_MINIMUM_VERSION "5.12")
+set(LXQT_MINIMUM_VERSION "1.1.0")
+set(QTXDG_MINIMUM_VERSION "3.9.1")
+set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
@@ -29,6 +30,7 @@
 find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(KF5WindowSystem ${KF5_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
+find_package(qtxdg-tools ${QTXDG_MINIMUM_VERSION} REQUIRED)
 find_package(X11 REQUIRED)
 message(STATUS "Building with Qt${Qt5Core_VERSION}")
 find_package(PkgConfig REQUIRED)

=== debian/changelog ===
lxqt-session (1.1.1-2) unstable; urgency=medium

  * Revert previous improper uploaded changes. Reorganize
    debian/experimental changes:
    * debian/upstream/signing-key.asc: update.
    * debian/copyright: update for new upstream changes.
    * debian/control: build-deps on libprocps-dev and qtxdg-tools.
    * debian/control: update descriptions for lxqt-session-l10n package.
    * Added fix-bluetooth-saving-settings.patch: from upstream. See details:
      https://github.com/lxqt/lxqt-session/pull/438.
    * debian/lxqt-session.install: update for upstream changes.
    * debian/lxqt-session-l10n.install: install into
      /usr/share/lxqt/translations/lxqt-session.
    * debian/rules: set -DPULL_TRANSLATIONS=OFF.
  * debian/upstream/metadata: Change Repository-Browser field to
    Repository-Browse.
  * debian/rules: Remove unnecessary -Wl,--as-needed.
  * debian/rules: Drop --fail-missing argument to dh_missing which is now
    default in debhelper 13.
  * debian/watch: fix uscan error.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 27 Oct 2022 13:46:17 +0800

lxqt-session (1.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump debhelper compat to 13, no changes needed.
  * Bump build dependencies.
  * Bump Standards-version to 4.6.1, no changes needed.
  * Drop some old Breaks/Replaces.
  * Run wrap-and-sort.
  * Pull some useful changes from Ubuntu so we can sync.

 -- Simon Quigley <tsimonq2@debian.org>  Wed, 13 Jul 2022 19:57:58 -0500

lxqt-session (1.0.1-1) unstable; urgency=medium

  * New upstream release
  * Bumped Standards-Version to 4.6.0, no changes needed
  * Update debian/copyright
 
 -- S. 7 <severusseptimius7@gmail.com>  Thu, 25 Nov 2021 18:19:55 +0200
 

=== debian/control ===
Source: lxqt-session
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf5windowsystem-dev,
               liblxqt1-dev (>= 1.1.0),
               libprocps-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libudev-dev [linux-any],
               libprocps-dev,
               libx11-dev,
               qtxdg-tools,
               xdg-user-dirs
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-session
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-session.git
Homepage: https://github.com/lxqt/lxqt-session

Package: lxqt-session
Architecture: any
Depends: lxqt-qtplugin,
         lxqt-themes | lxqt-theme,
         x11-xkb-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-config,
            lxqt-notificationd,
            lxqt-policykit,
            lxqt-powermanagement,
            lxqt-session-l10n,
            lxqt-sudo,
            pcmanfm-qt,
            qlipper,
            qps [linux-any],
            xscreensaver | gnome-screensaver | light-locker | i3lock | suckless-tools
Provides: x-session-manager
Description: session manager component for LXQt
 LXQt is an advanced, easy-to-use, and fast desktop environment based on
 Qt technologies.  It has been tailored for users who value simplicity,
 speed, and an intuitive interface.  Unlike most desktop environments,
 LXQt also works fine with less powerful machines.
 .
 This package contain the session manager component.

Package: lxqt-session-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Description: Language package for lxqt-session
 The l10n files for lxqt-session.
 .
 This package contains the l10n files needed by lxqt-session.

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/lxqt-session/releases .*/lxqt-session-([\d\.]+).tar.xz
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/lxqt-session-$1\.tar\.gz/,pgpsigurlmangle=s/$/.asc/ \
  https://github.com/lxqt/lxqt-session/tags .*/v?(\d\S*)\.tar\.gz

## lxqt-session 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,8 +20,8 @@
 
 # Minimum Versions
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_MINIMUM_VERSION "1.1.0")
-set(QTXDG_MINIMUM_VERSION "3.9.1")
+set(LXQT_MINIMUM_VERSION "1.2.0")
+set(QTXDG_MINIMUM_VERSION "3.10.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
@@ -42,7 +42,7 @@
 find_package(XdgUserDirs REQUIRED)
 
 # Patch Version
-set(LXQT_SESSION_PATCH_VERSION 1)
+set(LXQT_SESSION_PATCH_VERSION 0)
 
 set(LXQT_SESSION_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_SESSION_PATCH_VERSION})
 add_definitions(

=== config/CMakeLists.txt ===
# install default config files to /etc/xdg
install(FILES
    lxqt.conf
    session.conf
    windowmanagers.conf
    DESTINATION "${CMAKE_INSTALL_DATADIR}/lxqt"
    COMPONENT Runtime
)

=== debian/changelog ===
lxqt-session (1.2.0-3ubuntu2) lunar; urgency=medium

  * Lubuntuify the Maintainer field.
  * Restore debian/watch to its original state.
  * Bumepd Standards-Version to 4.6.2, no changes necessary.
  * Overhauled copyright file.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Wed, 15 Mar 2023 12:05:32 -0500

lxqt-session (1.2.0-3ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Ensure all proper paths are added to $XDG_CONFIG_DIRS

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 14 Mar 2023 13:30:45 +0100

lxqt-session (1.2.0-3) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 23 Dec 2022 00:31:41 +0800

lxqt-session (1.2.0-2) experimental; urgency=medium

  * Add patch to use libproc2.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 17 Dec 2022 19:10:39 +0800

lxqt-session (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove unnecessary patch.
  * Add Rules-Requires-Root: no.
  * Fix d/lintian-overrides.
  * Update d/watch for GitHub.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 17 Dec 2022 17:28:26 +0800

lxqt-session (1.2.0-0ubuntu4) lunar; urgency=medium

  * debian/patches/d1db1c791195f3c0cf148e2be8bd46c5a51ca535.patch:
    - Fix build with libproc2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 13 Mar 2023 08:52:34 +0100

lxqt-session (1.2.0-0ubuntu3) lunar; urgency=medium

  * Change build dependency libprocps-dev -> libproc2-dev.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 10 Mar 2023 18:13:07 -0800

lxqt-session (1.2.0-0ubuntu2) lunar; urgency=medium

  * No-change rebuild against libprocps2-0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 10 Mar 2023 23:09:03 +0000

lxqt-session (1.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Fix the watch file, for real this time.
  * Bump Standards-version to 4.6.1, no changes needed.
  * Lubuntuify the package slightly, to make debhelper happy.
  * Bump build dependencies in debian/control.
  * Remove reverse-applicable patch.
  * Update the only Lintian override.
  * Less Rs.
  * Briefly update copyright.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 18 Nov 2022 18:35:56 -0600

lxqt-session (1.1.1-0ubuntu2) kinetic; urgency=medium

  * Add upstream patch fixing some bluetooth settings.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 06 Jun 2022 16:36:17 -0500

lxqt-session (1.1.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release.
    - Add qtxdg-tools as a build dependency.
  * Bump build dependencies.
  * Remove old Breaks/Replaces since we're past the LTS.
  * Remove the old KDM config file, it is no longer shipped upstream.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 01 Jun 2022 16:44:07 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: lxqt-session
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
@@ -7,19 +8,21 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               liblxqt1-dev (>= 1.1.0),
-               libprocps-dev,
+               liblxqt1-dev (>= 1.2.0~),
+               libproc2-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libudev-dev [linux-any],
-               libprocps-dev,
                libx11-dev,
-               qtxdg-tools,
+               qtxdg-tools (>= 3.10.0~),
                xdg-user-dirs
-Standards-Version: 4.6.1
-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-session
-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-session.git
+Standards-Version: 4.6.2
+Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-session-packaging
+Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-session-packaging.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-session
+XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-session.git
 Homepage: https://github.com/lxqt/lxqt-session
+Rules-Requires-Root: no
 
 Package: lxqt-session
 Architecture: any

## lxqt-session 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,8 +20,8 @@
 
 # Minimum Versions
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_MINIMUM_VERSION "1.2.0")
-set(QTXDG_MINIMUM_VERSION "3.10.0")
+set(LXQT_MINIMUM_VERSION "1.3.0")
+set(QTXDG_MINIMUM_VERSION "3.11.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
@@ -35,7 +35,11 @@
 message(STATUS "Building with Qt${Qt5Core_VERSION}")
 find_package(PkgConfig REQUIRED)
 if (CMAKE_SYSTEM_NAME STREQUAL "Linux")
-    pkg_search_module(PROCPS REQUIRED libprocps)
+    pkg_search_module(PROCPS REQUIRED libproc2 libprocps)
+    message(STATUS "Using PROCPS -> ${PROCPS_MODULE_NAME} v${PROCPS_VERSION}")
+    if (PROCPS_VERSION VERSION_GREATER_EQUAL 4.0.0)
+        add_definitions("-DUSING_LIBPROC2")
+    endif()
 endif()
 
 # Please don't move, must be after lxqt

=== debian/changelog ===
lxqt-session (1.3.0-0.1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Make all recommended packages explicit dependencies.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 11 Jul 2023 16:25:04 -0700

lxqt-session (1.3.0-0.1~S7) unstable; urgency=medium

  * New upstream release

 -- S.7 <severusseptimius7@gmail.com>  Sun, 21 May 2023 07:09:40 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: lxqt-session
-Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
@@ -8,19 +8,17 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               liblxqt1-dev (>= 1.2.0~),
+               liblxqt1-dev (>= 1.3.0~),
                libproc2-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libudev-dev [linux-any],
                libx11-dev,
-               qtxdg-tools (>= 3.10.0~),
+               qtxdg-tools (>= 3.11.0~),
                xdg-user-dirs
-Standards-Version: 4.6.2
-Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-session-packaging
-Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-session-packaging.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-session
-XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-session.git
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-session
+Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-session.git
 Homepage: https://github.com/lxqt/lxqt-session
 Rules-Requires-Root: no
 
@@ -30,8 +28,8 @@
          lxqt-themes | lxqt-theme,
          x11-xkb-utils,
          ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: lxqt-config,
+         ${shlibs:Depends},
+            lxqt-config,
             lxqt-notificationd,
             lxqt-policykit,
             lxqt-powermanagement,

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq ($(DEB_HOST_ARCH_OS),linux)
    CMAKE_ARGS += -DWITH_LIBUDEV=ON
else
    CMAKE_ARGS += -DWITH_LIBUDEV=OFF
endif

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DPULL_TRANSLATIONS=OFF \
		-DUPDATE_TRANSLATIONS=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		$(CMAKE_ARGS)

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## lxqt-session 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,8 +20,8 @@
 
 # Minimum Versions
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_MINIMUM_VERSION "1.3.0")
-set(QTXDG_MINIMUM_VERSION "3.11.0")
+set(LXQT_MINIMUM_VERSION "1.4.0")
+set(QTXDG_MINIMUM_VERSION "3.12.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)

=== lxqt-config-session/CMakeLists.txt ===
--- 
+++ 
@@ -49,7 +49,7 @@
 )
 
 lxqt_app_translation_loader(lxqt-sessioncfg_QM_LOADER ${PROJECT_NAME})
-lxqt_translate_desktop(lxqt-sessioncfg_DESKTOP_FILES SOURCES lxqt-config-session.desktop.in)
+lxqt_translate_desktop(lxqt-sessioncfg_DESKTOP_FILES SOURCES lxqt-config-session.desktop.in USE_YAML)
 
 add_executable(lxqt-config-session
     ${lxqt-sessioncfg_SRCS}

=== lxqt-leave/CMakeLists.txt ===
--- 
+++ 
@@ -26,6 +26,7 @@
     resources/lxqt-reboot.desktop.in
     resources/lxqt-shutdown.desktop.in
     resources/lxqt-suspend.desktop.in
+    USE_YAML
 )
 
 lxqt_translate_ts(lxqt-leave_QM_FILES

=== lxqt-session/CMakeLists.txt ===
--- 
+++ 
@@ -71,6 +71,14 @@
     target_link_libraries(lxqt-session
         ${PROCPS_LIBRARIES}
     )
+elseif (CMAKE_SYSTEM_NAME STREQUAL "FreeBSD")
+    target_link_libraries(lxqt-session
+        -lutil
+    )
+elseif (CMAKE_SYSTEM_NAME STREQUAL "NetBSD")
+    target_link_libraries(lxqt-session
+        -lkvm
+    )
 endif()
 
 if (WITH_LIBUDEV)

=== debian/changelog ===
lxqt-session (1.4.0-0ubuntu6) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:45:40 +0200

lxqt-session (1.4.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:15:14 +0000

lxqt-session (1.4.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:49:38 +0000

lxqt-session (1.4.0-0ubuntu3) noble; urgency=medium

  * Copy over GTK 3 settings by default (LP: #2047705).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 29 Dec 2023 12:36:24 -0600

lxqt-session (1.4.0-0ubuntu2) noble; urgency=medium

  * Add an upstream patch polishing the autostart UX.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 22 Dec 2023 16:32:05 -0600

lxqt-session (1.4.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Update copyright years.
  * Wraaaaaaaaaaaaaaaaaaaaaaaaaaaap.
  * Explicitly depend on dbus-bin, since dbus-update-activation-
    environment is now directly called.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 12 Nov 2023 19:06:27 -0600

lxqt-session (1.3.0-0ubuntu4) mantic; urgency=medium

  * d/control: Fix the comments added in -0ubuntu3 so that dpkg can
    process them properly.  (Hotfix for a FTBFS bug)

 -- Thomas Ward <teward@ubuntu.com>  Sat, 23 Sep 2023 19:37:40 -0400

lxqt-session (1.3.0-0ubuntu3) mantic; urgency=medium

  * Since the LXQt handler is limited in the portals it supports, add KDE and
    GTK as fallbacks. The GTK fallback needs to be removed once KDE's is
    better.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 22 Sep 2023 14:22:41 -0500

lxqt-session (1.3.0-0ubuntu2) mantic; urgency=high

  * Add /usr/share/xdg-desktop-portal/lxqt-portals.conf, which makes XDG
    portalling happy (LP: #2036098).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 20 Sep 2023 22:45:49 -0500

lxqt-session (1.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Remove reverse-applicable patch.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 11 Aug 2023 09:51:27 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: lxqt-session
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
@@ -8,17 +8,19 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               liblxqt1-dev (>= 1.3.0~),
+               liblxqt1-dev (>= 1.4.0),
                libproc2-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libudev-dev [linux-any],
                libx11-dev,
-               qtxdg-tools (>= 3.11.0~),
+               qtxdg-tools (>= 3.12.0),
                xdg-user-dirs
-Standards-Version: 4.6.1
-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-session
-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-session.git
+Standards-Version: 4.6.2
+Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-session-packaging
+Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-session-packaging.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-session
+XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-session.git
 Homepage: https://github.com/lxqt/lxqt-session
 Rules-Requires-Root: no
 
@@ -28,7 +30,8 @@
          lxqt-themes | lxqt-theme,
          x11-xkb-utils,
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
+Recommends: dbus-bin,
             lxqt-config,
             lxqt-notificationd,
             lxqt-policykit,
@@ -38,6 +41,10 @@
             pcmanfm-qt,
             qlipper,
             qps [linux-any],
+#           xdg-desktop-portal-gtk should be removed soon in the future.
+            xdg-desktop-portal-gtk,
+            xdg-desktop-portal-kde,
+            xdg-desktop-portal-lxqt,
             xscreensaver | gnome-screensaver | light-locker | i3lock | suckless-tools
 Provides: x-session-manager
 Description: session manager component for LXQt

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,3 @@
 		-DUPDATE_TRANSLATIONS=OFF \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 		$(CMAKE_ARGS)
-
-# No dbgsym packages:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## lxqt-session 2.0.0

=== debian/changelog ===
lxqt-session (2.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Drop autostart-ux-polish.patch, applied upstream.
  * Adjust dependencies.
  * Bump Standards-Version to 4.7.0, no changes necessary.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:44:52 -0500

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,18 @@
 Section: x11
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               libkf5windowsystem-dev,
-               liblxqt1-dev (>= 1.4.0),
+               layer-shell-qt,
+               libkf6windowsystem-dev,
+               liblayershellqtinterface-dev,
+               liblxqt2-dev (>= 2.0.0),
                libproc2-dev,
-               libqt5svg5-dev,
-               libqt5x11extras5-dev,
                libudev-dev [linux-any],
                libx11-dev,
-               qtxdg-tools (>= 3.12.0),
-               xdg-user-dirs
-Standards-Version: 4.6.2
+               qtxdg-tools (>= 4.0.0),
+               xdg-user-dirs,
+               qt6-svg-dev,
+               qt6-wayland-dev
+Standards-Version: 4.7.0
 Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-session-packaging
 Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-session-packaging.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-session
@@ -59,7 +61,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: localization
-Depends: qttranslations5-l10n, ${misc:Depends}
+Depends: qt6-translations-l10n, ${misc:Depends}
 Description: Language package for lxqt-session
  The l10n files for lxqt-session.
  .
